Error reinstalando WPS-Office

Spanish Forum

Moderators: tomeu, JCSenar

Post Reply
fda_payares
Level 1
Level 1
Posts: 1
Joined: Mon Mar 18, 2019 5:50 pm

Error reinstalando WPS-Office

Post by fda_payares » Mon Mar 18, 2019 6:12 pm

¡Hola a todos!
Necesito ayuda urgente, tengo Linux mint 18.1 serena, no manejo este sistema operativo, soy nueva en esto.
Hace dos días instale unas actualizaciones, y como me encuentro haciendo un curso virtual de excel estaba lista para usar Wps-office (en Linux), descubrí que tenia una versión viejita 2007 - 2010, y necesitaba una mas actual, trate de actualizarla, parece que el archivo estaba roto o incompleto y ahora solo me sale Wps-writer, y cuando trato de ingresar a synaptic me sale:

E: El paquete wps-office necesita ser reinstalado, pero no se encuentra el archivo para ello.
E: Error interno al abrir el caché (1). Por favor informe de este error.

He intentado de todo y no me funcionaaa!
Last edited by JCSenar on Tue Mar 19, 2019 4:25 am, edited 1 time in total.
Reason: Título corregido

User avatar
JOPETA
Level 15
Level 15
Posts: 5748
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Error reinstalando WPS-Office

Post by JOPETA » Tue Mar 19, 2019 6:27 am

Dependerá de cómo instalaras/"actualizaras", pero parece que algo fué mal durante la instalación.¿Cómo "actualizaste"?

1)Si para instalar la nueva versión usaste un paquete .deb bajado desde la web de la aplicación (ver imagen siguiente) u otra web eso explica que no encuentre el archivo y que Synaptic tenga problemas si no se instaló de forma correcta la actualización.
wps-office downloads.png
Si no existíó algún problema durante la instalación (dependencias) ya que te lo habría comunicado, debería haber instalado las tres aplicaciones de la Suite. :shock:

Puedes descargarlo de nuevo de ser necesario (si no sabes donde lo guardaste) y reinstalarlo haciendo doble-clic sobre él. Una vez gdebi detecte la versión instalada te ofrecerá posiblemente la reinstalación si es la misma. Desde luego en LM 18.3 la versión mostrada (10.1.0.6758 del 2019) instala sin problemas las tres aplicaciones incluidas (aunque se queja de que le faltan nosequé fuentes de símbolos). Claro que yo no tenía previamente instalada otra versión (10.1.0.6757??) que quizás debiste/debes desinstalar previamente.

Si la reinstalación no es posible o sigues con el mismo problema deberás eliminar/revertir paquetes .deb externos antes de volver a instalarlo. Puedes hacerlo gráficamente de dos formas si desintalando desde el propio Menú>clic derecho>desintalar no está disponible (si en Cinnnamon):
a)No creo que este sea tu caso pero si que podrás eliminarlo desde Synaptic. Para ello primero se debe forzar la versión anterior cosa que funciona siempre que la tuviera en un repositiorio, no siendo así no funcionará probablemente (Menú>Administración>Gestor de Paquetes Synaptic , busca wps-office, clic sobre el paquete para seleccionarlo y en la barra de menú>Paquete>Forzar versión y seleccciona la anterior). Así ya podrás desinstalar la anterior. De tener éxito esto, que lo dudo, la reinstalación no debería estar disponible si se hizo con un .deb externo tambien.

b)Desde las Fuentes/orígenes del Software con Menú>Centro de control>Fuentes del software>Mantenimiento. Debes ejecutarlo sin otro gestor de software en marcha (cierra Synaptic y el Gestor de Software). Primero selecciona Arreglar Problemas de Mergelist y Actualiza la caché. A continuación ejecuta >Eliminar paquetes externos (lo buscas, seleccionas/marcas>clic en Eliminar).
eliminar paquetes externos.png
Si lo que quieres es volver a la versión anterior (cuando se reemplaza una existente en el repositorio por un .deb externo), elige la opción de Revertir paquetes externos.
Revertir .png
En ambos casos cic en Actualizar la caché antes de salir.
2)Si actualizaste desde una PPA, la única que he encontrado es la de mikhailnov con la versión de 10.1.0.5707~a21-6~xenial1 actualizada al 2018. Debería poder reinstalar o ejecutar forzar versión e incluso resintalar sin problemas,..eso si no te limitaste a descarga el .deb sin instalar la ppa, lo que te dejería en el supuesto anterior. En caso contrario, si instalaste la ppa y no puedes hacer lo indicado podría ser un bug/limitacióno problema transitorio con la propia PPA.

3)También, puedes haber recurrido a la instalación mediante flatpak,snap o appimage según el caso. Flatpak no está disponible para tu edición de Mint aunque tiene la versión 10.1.0.6757 actualizada al 2018. La versión 10.1.0.6757 del 2019 está disponible en snap aunque inicialmente instala la anterior y luego pide actualizar al iniciar . No creo que fuera esto lo que te ocurrió ya que las aplicaciones procedentes de estas fuentes no son gestionadas por Synaptic/apt , y si por el Gestor de Software o con snap.

4)Por otro lado, la versión comprimida que aparece (.tar.xz) en el listadoanterior es para ejecutar desde el propio directorio (portable) donde lo descomprimes (clic derecho> extrer en..o doble clic para abrir con el gestor de archivadores>Clic en el botón de Extaer) sin instalar y ejecutar las aplicaciones de forma individualizada (con ./wps, ./wpp y ./et ) y no debería tener problemas de dependencias ya que no instalas nada en el sistema.
(Reditado)
Last edited by JOPETA on Sat Mar 23, 2019 4:08 am, edited 2 times in total.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)

User avatar
tomeu
Level 5
Level 5
Posts: 837
Joined: Wed Mar 29, 2017 12:03 pm
Location: España

Re: Error reinstalando WPS-Office

Post by tomeu » Fri Mar 22, 2019 12:30 pm

Por lo que he visto de WPS-Office para instalar una versión reciente, previamente hay que desinstalar la anterior.

Hace unos días, poco después del post de JOPETA la página de descargas no estaba funcionando. Con la llegada de la primavera ha vuelto a funcionar.

Como dice JOPETA se impone una limpieza a fondo antes de instalar la última versión, y en Mint la mejor manera, o al menos fácil, es la sugerida desde "Eliminación de Paquetes Externos", y en su caso el método sugerido desde synaptic. Yo ampliaría la búsqueda a wps-por si tuvieses el paquete de fuentes u otro de la aplicación también instalado.

En todo caso, siempre se puede recurrir desde un terminal a dar cualquiera de las siguientes órdenes:

Para desinstalar el paquete:
sudo apt remove wps-office o sudo dpkg -r wps-office

Para desinstalar el paquete y configuración:
sudo apt purgue wps-office o sudo dpkg -P wps-office

En todo caso de una desinstalación simple se puede borrar el directorio oculto en home/usuario: rm -r ~/.kingsoft o mejor aun, ir con Nemo, Mostrar archivos ocultos y borrar la carpeta .kingsoft

Luego reinstalamos:

1º.- Bajándonos el paquete *.deb correspondiente a nuestro equipo: i386.deb (32 bits) ó amd64.deb (64 bits)

2º.- En la sección "fonts" nos podemos bajar el paquete wps-office-fonts_1.0_all.deb

3º.- Y en la sección "Other resources" → dicts El diccionario de corrección en español es_ES.zip

4º.- Para instalar, y desde un terminal, y si hemos descargado en "Descargas"

Code: Select all

cd Descargas
sudo dpkg -i wps-office_*.deb
para la suite y

Code: Select all

sudo dpkg -i wps-office-*.deb
para el paquete de fuentes

5º.- He leído que a veces la instalación se queja con la falta de una dependencia, la librería libpng12-0 Ahora no puedo saber como está eso en LM 18.1, pero puedo decir que con LM 19.1 está instalada "de fábrica esa librería, en versión más moderna: la libpng16-16 y no hay problema de dependencia (por lo que yo no he hecho los siguiente).

Si la hubiera se puede descargar e instalar la librería de la siguiente forma:

Code: Select all

wget http://ftp.debian.org/debian/pool/main/libp/libpng/libpng12-0_1.2.50-2+deb8u3_amd64.deb

Code: Select all

sudo dpkg -i libpng12-0_1.2.50-2+deb8u3_amd64.deb
Y solucionar dependencias con

Code: Select all

sudo apt-get -f install
6º.- Esta suite ofimática solo se entrega en chino o inglés.

Se puede instalar el paquete de corrección ortográfico español descomprimiento el archivo "es_ES.zip" antes descargado y la carpeta descomprimida "es_ES" moverla al directorio ./kingsoft/office6/dicts/

7º.- Al iniciar la suite siempre da un problema de fuentes (chinas), o lo ignoramos marcando la casilla de que no joda más, o "Atareao" tiene una solución.

También para ponerlo en español e instalar más diccionario, añadiendo su PPA, ver:

https://www.atareao.es/podcast/sobre-la ... n-espanol/

Lo he instalado sin problema para probar. Pero por ahora me sigue gustando bastante más LibreOffice.

Hay que tener en cuenta que desde la versión 6.2.x la compatibilidad con Office de Microsoft está muy mejorada, incluso en la modaliudad "1.2 Extended"
Captura de pantalla de 2019-03-22 17-29-15.png
Image
Linux Mint Tina 19.2 64bits Cinnamon 4.2.4
Por favor, recuerda añadir al título el 'palabro' "[SOLUCIONADO]" si el problema o cuestión ha quedado resuelto. Gracias

User avatar
JCSenar
Level 10
Level 10
Posts: 3162
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: Error reinstalando WPS-Office

Post by JCSenar » Sat Mar 23, 2019 3:29 am

tomeu wrote:
Fri Mar 22, 2019 12:30 pm
Por lo que he visto de WPS-Office para instalar una versión reciente, previamente hay que desinstalar la anterior.
Si añades algún enlace de descarga, ese mensaje podría añadirse a [RELACIÓN DE TUTORIALES] :?:
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
tomeu
Level 5
Level 5
Posts: 837
Joined: Wed Mar 29, 2017 12:03 pm
Location: España

Re: Error reinstalando WPS-Office

Post by tomeu » Sat Mar 23, 2019 6:16 am

La descarga del programa estaba ya en el mensaje de JOPETA: Downloads - WPS Community
Ahí están las 4 secciones actuales: la versión 2016 (parece la estable) la "a21" (parece alfa), la fuentes paquetes deb y rpm y las "otras ", donde cualqwgan los diccionarios.
La librería libpng12 de debian está en este su ftp: ftp.debian.org/debian/pool/main/libp/libpng/
Lo de Atareao es su PPA
:mrgreen:
Image
Linux Mint Tina 19.2 64bits Cinnamon 4.2.4
Por favor, recuerda añadir al título el 'palabro' "[SOLUCIONADO]" si el problema o cuestión ha quedado resuelto. Gracias

User avatar
JOPETA
Level 15
Level 15
Posts: 5748
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Error reinstalando WPS-Office

Post by JOPETA » Mon Mar 25, 2019 1:42 pm

JCSenar te pide que incluyas los enlaces en el texto del post para poder añadirlo a los tutoriales /temas de interés (elimina referencias a mi post si quieres y/o enlaza la imágen con rimg o añade las tuyas propias si las crees de más ayuda, modifca el texto, recomponlo...) de tal forma que un usario con el mismo problema puede ser remitido a Error reinstalando WPS-Office sin que tenga que desplazarse para arriba o abajo y completar la información. :wink:
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)

User avatar
tomeu
Level 5
Level 5
Posts: 837
Joined: Wed Mar 29, 2017 12:03 pm
Location: España

Re: Error reinstalando WPS-Office

Post by tomeu » Mon Mar 25, 2019 2:30 pm

Editado:

WPS-Office: para instalar la versión más reciente previamente hay que desinstalar la anterior.

Se impone una limpieza a fondo antes de instalar la última versión.

En Mint la mejor manera, o al menos fácil, es la sugerida desde "Eliminación de Paquetes Externos"
paquetes-externos.png
Otra opción (fácil y gráfica) es usando synaptic. Sugiero ampliar la búsqueda a wps-por si se tuviese el paquete de fuentes u otro de la aplicación también instalado.

En todo caso, siempre se puede recurrir desde un terminal a dar cualquiera de las siguientes órdenes:

Para desinstalar el paquete:
sudo apt remove wps-office o sudo dpkg -r wps-office

Para desinstalar el paquete y configuración:
sudo apt purgue wps-office o sudo dpkg -P wps-office

En todo caso de una desinstalación simple se puede borrar el directorio oculto en home/usuario: rm -r ~/.kingsoft o mejor aun, ir con Nemo, Mostrar archivos ocultos y borrar la carpeta .kingsoft

Página de descarga de los *DEBS http://wps-community.org/downloads

Hay 4 secciones: a) Versión 2016 (son las más recientes de los años 2018 y actual 2019); b) Versión a21: "alfas" de 2015 y 2016, que en principio desecharemos; c) "fonts": paquetes de fuentes para todo tipo de versión; y d) "otras recursos": donde hay diccionarios y otros.

Para Linux Mint hay que bajar los paquetes ".DEB (o en todo caso los portables "tar.xz") pues esta guía es para instalar de ese modo.

Resumiendo:

1º.- Nos bajamos el paquete *.deb correspondiente a nuestro equipo: i386.deb (32 bits) ó amd64.deb (64 bits)

2º.- En la sección "fonts" nos podemos bajar el paquete wps-office-fonts_1.0_all.deb

3º.- Y en la sección "Other resources" → dicts El diccionario de corrección en español es_ES.zip

Una vez descargados, procedemos a la instalación:

a) Desde un terminal, y si hemos descargado en "Descargas"

Code: Select all

cd Descargas
sudo dpkg -i wps-office_*.deb
para la suite y

Code: Select all

sudo dpkg -i wps-office-*.deb
para el paquete de fuentes

b) He leído que a veces la instalación se queja con la falta de una dependencia, la librería libpng12-0 Ahora no puedo saber como está eso en LM 18.1, pero puedo decir que con LM 19.1 está instalada "de fábrica esa librería, en versión más moderna: la libpng16-16 y no hay problema de dependencia (por lo que yo no he hecho lo que sigue).

Si la hubiera se puede descargar e instalar la librería de la siguiente forma:

Code: Select all

wget http://ftp.debian.org/debian/pool/main/libp/libpng/libpng12-0_1.2.50-2+deb8u3_amd64.deb

Code: Select all

sudo dpkg -i libpng12-0_1.2.50-2+deb8u3_amd64.deb
Y solucionar dependencias con

Code: Select all

sudo apt-get -f install
Con eso la suite informática queda instalada (en inglés) y (en Cinnamon) aparece en el Menú (se crean entradas duplicadas: en la rama principal y dentro de "Oficina". A gusto del consumidor el eliminar alguna de ellas o dejarlas ambas)

Ajustes posteriores:

- Esta suite ofimática solo se entrega en chino o inglés, y sin corrector ortográfico.

Se puede instalar el paquete de corrección ortográfico español descomprimiento el archivo "es_ES.zip" antes descargado y la carpeta descomprimida "es_ES" moverla al directorio ./kingsoft/office6/dicts/

Para la traducción del programa al español, solo he encontrado una solución en una de las secciones del BLOG de "El ATAREAO"

Allí nos comenta que ha creado unos paquetes para solucionar lo del idioma de la suite, un problemilla con fuentes chinas y el diccionario de corrector ortográfico.

wps-es para ponerla en español, wps-fonts para la fuente china, y wps-dictionary-installer para el corrector ortográfico.

Para ello, se añade su PPA

Code: Select all

sudo add-apt-repository ppa:atareao/atareao
sudo apt update
Y se instala:
sudo apt install wps-es wps-fonts wps-dictionary-installer

Lo del corrector ortográfico no he llegado a poder comprobar si es el mismo que el archivo es_ES.zip; la traducción del programa está bien en líneas generales, aunque hay apartados que siguen en inglés, y lo de la "queja" de la fuente hay que entender que se arregla de esa manera, pues de lo contrario, al iniciar la suite siempre da un aviso problema de fuentes chinas, que también se puede eludir marcando la casilla de que no avise más.
Image
Linux Mint Tina 19.2 64bits Cinnamon 4.2.4
Por favor, recuerda añadir al título el 'palabro' "[SOLUCIONADO]" si el problema o cuestión ha quedado resuelto. Gracias

Post Reply

Return to “Español (Spanish)”